Get an authentication session
Retrieves a 3DS authentication session using the provided authentication id
GET
https://api.lite.sa/api/v1
/
threeds
/
{authentication_id}
Get an authentication session
curl --request GET \
--url https://api.lite.sa/api/v1/threeds/{authentication_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lite.sa/api/v1/threeds/{authentication_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lite.sa/api/v1/threeds/{authentication_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lite.sa/api/v1/threeds/{authentication_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lite.sa/api/v1/threeds/{authentication_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lite.sa/api/v1/threeds/{authentication_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"threeds": {
"id": "baf6a8e2-0c89-46ef-9ca5-faa65b99bcd5",
"merchant_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"instrument_id": "baf6a8e2-0c89-46ef-9ca5-faa65b99bcd5",
"status": "AUTHENTICATED",
"authentication_value": "AAABBJkZUgAAAAAAAAAAAAAAAAA=",
"eci": "05",
"xid": "abc123xyz",
"version": "2.1.0",
"threeds_server_trans_id": "threeds_a1b2c3d4e5f6",
"ds_transaction_id": "dstxn_a1b2c3d4e5f6",
"acs_transaction_id": "acstxn_a1b2c3d4e5f6",
"acs_reference_number": "ELAVON_ACS_EMULATOR_REF_NUMBER32",
"ds_reference_number": "ELAVON_3DS_DS_EMULATOR_REF_NUM32",
"acs_operator_id": "ELAVON_ACS_EMULATOR_OPERATOR_ID1",
"acs_challenge_mandated": "Y",
"acs_authentication_type": "01",
"acs_challenge_cancel_reason": "01",
"trans_status": "C",
"trans_status_reason": "01",
"return_url": "https://example.com/threeds/callback"
},
"next_action": {
"redirect": {
"method": "POST",
"href": "https://api.lite.sa/api/v1/threeds/redirect/challenge?token=eyJ..."
}
}
}{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
ApiKeyAuthBearerAuth
API key for service-to-service or merchant authentication.
Headers
Unique identifier for request tracing. Generated by the client or server if not provided.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Unique identifier of the authentication session
Example:
"9822ffb8-26de-423b-ad15-0d129cf1b4ac"
⌘I
Get an authentication session
